QGIS Application - Bug report #19380
Layer properties metadata language error
2018-07-10 01:38 PM - James Passmore

Status: Closed
Priority: Normal
Assignee:

Category: Metadata

Affected QGIS version:3.0.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 27208

Description

The drop down list of 'language codes' provided for the language field part of the Layer properties metadata are not all languages! (they

include country codes...)

History

#1 - 2018-09-10 01:06 PM - Etienne Trimaille

This dropdown contains a list of ISO 3166 (1) and ISO 639 (2) which is a list of languages.

1: https://github.com/qgis/QGIS/blob/master/resources/metadata-ISO/country code ISO_3166.csv

2: https://github.com/qgis/QGIS/blob/master/resources/metadata-ISO/language _codes ISO_639.csv

Moreover, the field can be edited.

#2 - 2019-02-18 06:22 AM - Nyall Dawson
- Resolution set to invalid
- Status changed from Open to Closed
